Bug 226383 - Merge Review: rwall
Merge Review: rwall
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Schiffer
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:53 EST by Nobody's working on this, feel free to take it
Modified: 2011-08-30 21:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: rwall-0.17-32.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-26 14:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pschiffe: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:53:22 EST
Fedora Merge Review: rwall

http://cvs.fedora.redhat.com/viewcvs/devel/rwall/
Initial Owner: pknirsch@redhat.com
Comment 1 Peter Schiffer 2011-07-28 11:39:15 EDT
Checked srpm:
$ sha256sum rwall-0.17-31.fc16.src.rpm
e576f3c65b9e55d349b75c818bd0be80fdeeaa3c9c75230cca366f2c46009d63
rwall-0.17-31.fc16.src.rpm

N/A source files match upstream - I was not able to download upstream tarball.

YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros
consistently.
YES dist tag is present.
INFO clean section and buildroot present - clean section 
is not necessary any more and buildroot is ignored - they should be removed.
YES license field matches the actual license.
YES license is open source-compatible.
YES License text included in package.
N/A latest version is being packaged - upstream looks dead.
N/A BuildRequires are proper.
YES compiler flags are appropriate.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.

$ rpmlint rwall.spec 
rwall.spec:26: E: prereq-use /sbin/chkconfig /etc/init.d
 - PreReq has to be replaced by Requires.
rwall.spec:77: E: use-of-RPM_SOURCE_DIR
 - $RPM_SOURCE_DIR has to be replaced by $RPM_BUILD_ROOT.
rwall.spec:216: W: macro-in-%changelog %postun
 - macro in changelog has to be escaped, e.g.: %%postun
rwall.spec:216: W: macro-in-%changelog %preun
 - same as above.
rwall.spec:249: W: macro-in-%changelog %attr
 - same as above.
rwall.spec: E: specfile-error warning: line 26: prereq is deprecated: Prereq: /sbin/chkconfig /etc/init.d
0 packages and 1 specfiles checked; 3 errors, 3 warnings.

$ rpmlint rwall-0.17-31.fc16.src.rpm 
rwall.src: W: summary-ended-with-dot C Client for sending messages to a host's logged in users.
 - easy to fix.
rwall.src: W: no-url-tag
 - is there any live upstream ULR?
rwall.src: W: strange-permission rwalld.init 0755L
rwall.src:26: E: prereq-use /sbin/chkconfig /etc/init.d
rwall.src:77: E: use-of-RPM_SOURCE_DIR
rwall.src:216: W: macro-in-%changelog %postun
rwall.src:216: W: macro-in-%changelog %preun
rwall.src:249: W: macro-in-%changelog %attr
rwall.src: E: specfile-error warning: line 26: prereq is deprecated: Prereq: /sbin/chkconfig /etc/init.d
1 packages and 0 specfiles checked; 3 errors, 6 warnings.

$ rpmlint rwall-0.17-31.fc16.x86_64.rpm 
rwall.x86_64: W: summary-ended-with-dot C Client for sending messages to a host's logged in users.
rwall.x86_64: W: no-url-tag
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint rwall-server-0.17-31.fc16.x86_64.rpm 
rwall-server.x86_64: W: summary-ended-with-dot C Server for sending messages to a host's logged in users.
rwall-server.x86_64: W: no-url-tag
rwall-server.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/rwalld
rwall-server.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/rwalld
 - binary cannot be marked as config file even in /etc dir
rwall-server.x86_64: W: incoherent-init-script-name rwalld ('rwall-server', 'rwall-serverd')
 - this can be ignored
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$ rpmlint rwall-debuginfo-0.17-31.fc16.x86_64.rpm 
rwall-debuginfo.x86_64: W: no-url-tag
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
YES scriptlets must be sane.
YES code, not content.
N/A large documentation files must go in a -doc subpackage.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Additional comments:
 * URL in source tag is not working. It has to be commented out with note
and added like this - Source: netkit-rwall-%{version}.tar.gz
 * %build section could be simplified by removing perl
Comment 2 Peter Schiffer 2011-07-29 04:51:32 EDT
Another comment:
 * rm -rf $RPM_BUILD_ROOT in %install section is not needed any more.
Comment 3 Fedora Update System 2011-08-03 03:06:09 EDT
rwall-0.17-32.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc15
Comment 4 Fedora Update System 2011-08-03 18:56:54 EDT
Package rwall-0.17-32.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rwall-0.17-32.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc15
then log in and leave karma (feedback).
Comment 5 Peter Schiffer 2011-08-04 08:24:13 EDT
Checked srpm:
$ sha256sum rwall-0.17-33.fc17.src.rpm 
6278ae1712bf818a17e1b38fe7c9f984ab2f169a376a300bbd58b8a238a7c4cc
rwall-0.17-33.fc17.src.rpm

YES source files match upstream:

$ sha256sum netkit-rwall-0.17.tar.gz netkit-rwall-0.17.tar.gz.1 
97bd59f787d19bc3dff633d35eeb627176574aa7adf65b64a6a4d8dc08f752ed
netkit-rwall-0.17.tar.gz
97bd59f787d19bc3dff633d35eeb627176574aa7adf65b64a6a4d8dc08f752ed
netkit-rwall-0.17.tar.gz.1

INFO clean section is not present, buildroot section is.
YES latest version is being packaged.
YES BuildRequires are proper.

YES rpmlint is silent.

$ rpmlint rwall.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rwall-0.17-33.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rwall-0.17-33.fc17.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rwall-server-0.17-33.fc17.x86_64.rpm 
rwall-server.x86_64: E: script-without-shebang /lib/systemd/system/rwalld.service
 - false positive
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

$ rpmlint rwall-debuginfo-0.17-33.fc17.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Additional comments:
 * URL tag should be in upper-case
 * %build section could be simplified by removing perl

None of these comments is blocking the approval -> APPROVED.
Comment 6 Fedora Update System 2011-08-05 02:59:44 EDT
rwall-0.17-32.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rwall-0.17-32.fc14
Comment 7 Fedora Update System 2011-08-26 14:52:14 EDT
rwall-0.17-32.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-08-30 21:22:57 EDT
rwall-0.17-32.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.